io.vertx.lang.ruby

## Class JRubyVerticle

- java.lang.Object
- - io.vertx.lang.ruby.JRubyVerticle

- All Implemented Interfaces:
    Verticle

      public class JRubyVerticle
      extends Object
      implements Verticle

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRubyVerticle(JRubyVerticleFactory factory, io.vertx.lang.ruby.ContainerHolder holder, ClassLoader classLoader, String verticleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vertx` | `getVertx()` Get a reference to the Vert.x instance that deployed this verticle
    `void` | `init(Vertx vertx, Context context)` Initialise the verticle with the Vert.x instance and the context.
    `void` | `start(Future<Void> startFuture)` Start the verticle instance.
    `void` | `stop(Future<Void> stopFuture)` Stop the verticle instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRubyVerticle

          public JRubyVerticle(JRubyVerticleFactory factory,
                               io.vertx.lang.ruby.ContainerHolder holder,
                               ClassLoader classLoader,
                               String verticleName)

  - ### Method Detail

    - #### getVertx

          public Vertx getVertx()

      Description copied from interface: `Verticle`
      Get a reference to the Vert.x instance that deployed this verticle
      Specified by:
        `getVertx` in interface `Verticle`
      Returns:
        A reference to the Vert.x instance

    - #### init

          public void init(Vertx vertx,
                           Context context)

      Description copied from interface: `Verticle`
      Initialise the verticle with the Vert.x instance and the context.

      This method is called by Vert.x when the instance is deployed. You do not call it yourself.

      Specified by:
        `init` in interface `Verticle`
      Parameters:
        `vertx` - the Vert.x instance
        `context` - the context

    - #### start

          public void start(Future<Void> startFuture)
                     throws Exception

      Description copied from interface: `Verticle`
      Start the verticle instance.

      Vert.x calls this method when deploying the instance. You do not call it yourself.

      A future is passed into the method, and when deployment is complete the verticle should either call `Future.complete(T)` or `Future.fail(java.lang.Throwable)` the future.

      Specified by:
        `start` in interface `Verticle`
      Parameters:
        `startFuture` - the future
      Throws:
        `Exception`

    - #### stop

          public void stop(Future<Void> stopFuture)
                    throws Exception

      Description copied from interface: `Verticle`
      Stop the verticle instance.

      Vert.x calls this method when un-deploying the instance. You do not call it yourself.

      A future is passed into the method, and when un-deployment is complete the verticle should either call `Future.complete(T)` or `Future.fail(java.lang.Throwable)` the future.

      Specified by:
        `stop` in interface `Verticle`
      Parameters:
        `stopFuture` - the future
      Throws:
        `Exception`

Copyright © 2017. All rights reserved.